// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/14HSAI4/api/read.c $
// $Rev: 44109 $
// $Date: 2018-11-14 11:21:27 -0600 (Wed, 14 Nov 2018) $

// 14HSAI4: API Library: source file

#include "main.h"



//*****************************************************************************
// Return Values:
//	>=0	= success, the number of bytes transferred
//	<0  = failure, value is -errno or -GetLastError (Windows only)
int hsai4_read(int fd, void* dst, size_t bytes)
{
	int	ret;

	if (bytes > GSC_IO_SIZE_QTY_MASK)
		bytes	= GSC_IO_SIZE_QTY_MASK & ~0x3;

	bytes	|= STREAM_ID_RX;
	ret		= gsc_api_read(fd, dst, bytes);
	return(ret);
}


