// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/14HSAI4/utils/util_count.c $
// $Rev: 53627 $
// $Date: 2023-08-29 09:30:57 -0500 (Tue, 29 Aug 2023) $

// 14HSAI4: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	hsai4_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely?
*
*		get		Report the count here.
*
*	Returned:
*
*		> 0		The number of devices found.
*		== 0	No devices were found.
*
******************************************************************************/

int hsai4_count_boards(int verbose, s32* get)
{
	int	errs;

	errs	= os_count_boards(verbose, get, hsai4_open, hsai4_read, hsai4_close);
	return(errs);
}



